/***************************************************************************
                          firewidget.h  -  description
                             -------------------
    begin                : Thu Jul 19 12:44:21 EST 2001
    copyright            : (C) 2001 by Thorsten Scheuermann
    email                : tscheuermann@gmx.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef FIREWIDGET_H
#define FIREWIDGET_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <kapp.h>
#include <qwidget.h>
#include <qframe.h>
#include <qimage.h>

/** Firewidget is the base class of the porject */
class FireWidget : public QFrame
{
  Q_OBJECT 
  public:
    /** construtor */
    FireWidget(QWidget* parent=0, const char *name=0);
    /** destructor */
    ~FireWidget();

	public slots:
		void setFireIntensity(int intensity);
    void renderNextFrame();

	protected:
    virtual void drawContents(QPainter *painter);
  	virtual void resizeEvent(QResizeEvent *);

    void setHotSpots(int num);
    void initFrames();

    QImage *newFrame;
    QImage *oldFrame;

	private:
		int fireIntensity;
};

#endif
